
Redmine - Defect #18228

Redmine 500 error

2014-10-29 12:22 - ketan panchal

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.5.2

Description

I have install fresh redmine through bitnami on windows & then copy my old database & import in to mysql (change database.yml)

then redmine open but when i click on bugs or settings i got this error:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

History

#1 - 2014-10-29 12:24 - ketan panchal

Find below production logs.

Connecting to database specified by database.yml

Connecting to database specified by database.yml

Creating scope :system. Overwriting existing method Enumeration.system.

Creating scope :system. Overwriting existing method Enumeration.system.

Creating scope :sorted. Overwriting existing method Group.sorted.

Creating scope :sorted. Overwriting existing method Group.sorted.

Creating scope :sorted. Overwriting existing method User.sorted.

Started GET "/redmine/" for 127.0.0.1 at 2014-10-29 16:42:58 +0530

Processing by WelcomeController#index as HTML

Current user: admin (id=1)

Rendered welcome/index.html.erb within layouts/base (88.1ms)

Completed 200 OK in 458.4ms (Views: 96.1ms | ActiveRecord: 210.1ms)

Started GET "/redmine/projects/nissan_blink_integration" for 127.0.0.1 at 2014-10-29 16:43:42 +0530

Processing by ProjectsController#show as HTML

Parameters: {"id"=>"nissan_blink_integration"}

Current user: admin (id=1)

Rendered projects/_members_box.html.erb (5.0ms)

Rendered projects/show.html.erb within layouts/base (69.5ms)

Completed 200 OK in 779.5ms (Views: 118.2ms | ActiveRecord: 414.9ms)

Started GET "/redmine/projects/nissan_blink_integration/issues?set_filter=1" for 127.0.0.1 at 2014-10-29 16:44:26 +0530

Processing by IssuesController#index as HTML

Parameters: {"set_filter"=>"1", "project_id"=>"nissan_blink_integration"}

Current user: admin (id=1)

Completed 500 Internal Server Error in 276.5ms

NameError (undefined local variable or method `fields_bits' for #<Tracker:0x6552e70>):

app/models/tracker.rb:71:in `block in disabled_core_fields'

app/models/tracker.rb:71:in `select'

app/models/tracker.rb:71:in `disabled_core_fields'

app/models/tracker.rb:95:in `map'

app/models/tracker.rb:95:in `disabled_core_fields'

app/models/issue_query.rb:243:in `initialize_available_filters'

app/models/query.rb:331:in `available_filters'

app/models/query.rb:220:in `build_from_params'

app/models/issue_query.rb:119:in `build_from_params'
app/helpers/queries_helper.rb:175:in `retrieve_query'

app/controllers/issues_controller.rb:56:in `index'

Started GET "/redmine/" for 127.0.0.1 at 2014-10-29 16:49:59 +0530

Processing by WelcomeController#index as HTML

Current user: admin (id=1)

Rendered welcome/index.html.erb within layouts/base (0.0ms)

Completed 200 OK in 31.2ms (Views: 31.2ms | ActiveRecord: 0.0ms)

Started GET "/redmine/projects/nissan_blink_integration" for 127.0.0.1 at 2014-10-29 16:50:02 +0530

Processing by ProjectsController#show as HTML

Parameters: {"id"=>"nissan_blink_integration"}

Current user: admin (id=1)

Rendered projects/_members_box.html.erb (4.0ms)

Rendered projects/show.html.erb within layouts/base (14.0ms)

Completed 200 OK in 212.3ms (Views: 39.1ms | ActiveRecord: 88.1ms)

Started GET "/redmine/projects/nissan_blink_integration/issues?set_filter=1&tracker_id=1" for 127.0.0.1 at 2014-10-29 16:50:04 +0530

Processing by IssuesController#index as HTML

Parameters: {"set_filter"=>"1", "tracker_id"=>"1", "project_id"=>"nissan_blink_integration"}

Current user: admin (id=1)

Completed 500 Internal Server Error in 133.1ms

NameError (undefined local variable or method `fields_bits' for #<Tracker:0x3b038b0>):

app/models/tracker.rb:71:in `block in disabled_core_fields'

app/models/tracker.rb:71:in `select'

app/models/tracker.rb:71:in `disabled_core_fields'

app/models/tracker.rb:95:in `map'

app/models/tracker.rb:95:in `disabled_core_fields'

app/models/issue_query.rb:243:in `initialize_available_filters'

app/models/query.rb:331:in `available_filters'

app/models/query.rb:220:in `build_from_params'

app/models/issue_query.rb:119:in `build_from_params'

app/helpers/queries_helper.rb:175:in `retrieve_query'

app/controllers/issues_controller.rb:56:in `index'

Started GET "/redmine/projects/nissan_blink_integration/issues?set_filter=1&tracker_id=1" for 127.0.0.1 at 2014-10-29 16:50:09 +0530

Processing by IssuesController#index as HTML

Parameters: {"set_filter"=>"1", "tracker_id"=>"1", "project_id"=>"nissan_blink_integration"}

Current user: admin (id=1)

Completed 500 Internal Server Error in 19.0ms

NameError (undefined local variable or method `fields_bits' for #<Tracker:0x6997bd8>):

app/models/tracker.rb:71:in `block in disabled_core_fields'

app/models/tracker.rb:71:in `select'

app/models/tracker.rb:71:in `disabled_core_fields'

app/models/tracker.rb:95:in `map'

app/models/tracker.rb:95:in `disabled_core_fields'

app/models/issue_query.rb:243:in `initialize_available_filters'

app/models/query.rb:331:in `available_filters'

app/models/query.rb:220:in `build_from_params'

app/models/issue_query.rb:119:in `build_from_params'

app/helpers/queries_helper.rb:175:in `retrieve_query'

app/controllers/issues_controller.rb:56:in `index'

#2 - 2014-10-29 12:37 - ketan panchal

Then i run below commands:

E:\Bitnami\redmine-2.5.2-3\apps\redmine\htdocs>ruby script/about RAILS_ENV=produ

ction

Environment:

Redmine version                2.5.2.stable

Ruby version                   2.0.0-p481 (2014-05-08) [i386-mingw32]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.8

Git                            1.9.0

Filesystem

Redmine plugins:

no plugin installed

E:\Bitnami\redmine-2.5.2-3\apps\redmine\htdocs>bundle exec rake db:migrate RAILS

_ENV=production
DL is deprecated, please use Fiddle

AddTrackersFieldsBits: migrating ========================================

-- add_column(:trackers, :fields_bits, :integer, {:default=>0})

-> 1.2023s

AddTrackersFieldsBits: migrated (1.2043s) ===============================

AddAuthSourcesTimeout: migrating ========================================

-- add_column(:auth_sources, :timeout, :integer)

-> 1.4042s

AddAuthSourcesTimeout: migrated (1.4052s) ===============================    AddWorkflowsType: migrating

=============================================

-- add_column(:workflows, :type, :string, {:limit=>30})

-> 0.6432s

AddWorkflowsType: migrated (0.6451s) ====================================    UpdateWorkflowsToSti: migrating

=========================================

UpdateWorkflowsToSti: migrated (0.0837s) ================================    AddWorkflowsRuleFields: migrating

=======================================

-- add_column(:workflows, :field_name, :string, {:limit=>30})

 > 0.1630s

- add_column(:workflows, :rule, :string, {:limit=>30})

-> 0.1644s

AddWorkflowsRuleFields: migrated (0.3317s) ==============================    AddBoardsParentId: migrating

============================================

-- add_column(:boards, :parent_id, :integer)

-> 0.1392s

AddBoardsParentId: migrated (0.1412s) ===================================    AddJournalsPrivateNotes: migrating

======================================

-- add_column(:journals, :private_notes, :boolean, {:default=>false, :null=>fals

e})

-> 0.2400s

AddJournalsPrivateNotes: migrated (0.2420s) =============================    AddEnumerationsPositionName: migrating

==================================

-- add_column(:enumerations, :position_name, :string, {:limit=>30})

-> 0.1798s

AddEnumerationsPositionName: migrated (0.1818s) =========================    PopulateEnumerationsPositionName: migrating

=============================

PopulateEnumerationsPositionName: migrated (0.3982s) ====================    AddQueriesType: migrating

===============================================

-- add_column(:queries, :type, :string)

-> 0.1091s

AddQueriesType: migrated (0.1105s) ======================================    UpdateQueriesToSti: migrating

===========================================

UpdateQueriesToSti: migrated (0.0310s) ==================================    AddAttachmentsDiskDirectory: migrating

==================================

-- add_column(:attachments, :disk_directory, :string)

-> 0.1640s

AddAttachmentsDiskDirectory: migrated (0.1661s) =========================    SplitDocumentsPermissions: migrating

====================================

SplitDocumentsPermissions: migrated (0.1366s) ===========================    AddUniqueIndexOnTokensValue: migrating

==================================

-- Adding unique index on tokens, this may take some time...

-- add_index(:tokens, :value, {:unique=>true, :name=>"tokens_value"})

-> 0.0918s

-> 0.1088s

AddUniqueIndexOnTokensValue: migrated (0.1108s) =========================    AddProjectsInheritMembers: migrating

====================================

-- add_column(:projects, :inherit_members, :boolean, {:default=>false, :null=>fa

lse})

-> 0.1407s

AddProjectsInheritMembers: migrated (0.1426s) ===========================    AddUniqueIndexOnCustomFieldsTrackers: migrating

=========================

-- index_exists?(:custom_fields_trackers, [:custom_field_id, :tracker_id])

 > 0.0010s

- remove_index(:custom_fields_trackers, [:custom_field_id, :tracker_id])

 > 0.0880s

- add_index(:custom_fields_trackers, [:custom_field_id, :tracker_id], {:unique=  

true})

-> 0.1526s

AddUniqueIndexOnCustomFieldsTrackers: migrated (0.2728s) ================    AddUniqueIndexOnCustomFieldsProjects: migrating

=========================

-- index_exists?(:custom_fields_projects, [:custom_field_id, :project_id])

 > 0.0020s
- remove_index(:custom_fields_projects, [:custom_field_id, :project_id])

 > 0.0710s

- add_index(:custom_fields_projects, [:custom_field_id, :project_id], {:unique=  

true})

-> 0.1192s

AddUniqueIndexOnCustomFieldsProjects: migrated (0.1993s) ================    ChangeUsersLastnameLengthTo255: migrating

===============================

-- change_column(:users, :lastname, :string, {:limit=>255, :default=>"", :null=>

false})

-> 0.1738s

ChangeUsersLastnameLengthTo255: migrated (0.1758s) ======================    AddIssuesClosedOn: migrating

============================================

-- add_column(:issues, :closed_on, :datetime, {:default=>nil})

-> 0.2548s

AddIssuesClosedOn: migrated (0.2564s) ===================================    PopulateIssuesClosedOn: migrating

=======================================

PopulateIssuesClosedOn: migrated (0.2943s) ==============================    RemoveIssuesDefaultFkValues: migrating

==================================

-- change_column_default(:issues, :tracker_id, nil)

 > 0.0670s

- change_column_default(:issues, :project_id, nil)

 > 0.0444s

- change_column_default(:issues, :status_id, nil)

 > 0.0470s

- change_column_default(:issues, :assigned_to_id, nil)

 > 0.0746s

- change_column_default(:issues, :priority_id, nil)

 > 0.0630s

- change_column_default(:issues, :author_id, nil)

-> 0.0753s

RemoveIssuesDefaultFkValues: migrated (0.3794s) =========================    CreateQueriesRoles: migrating

===========================================

-- create_table(:queries_roles, {:id=>false})

 > 0.0540s

- add_index(:queries_roles, [:query_id, :role_id], {:unique=>true, :name=>:quer

ies_roles_ids})

-> 0.1336s

CreateQueriesRoles: migrated (0.1899s) ==================================    AddQueriesVisibility: migrating

=========================================

-- add_column(:queries, :visibility, :integer, {:default=>0})

 > 0.1185s

- remove_column(:queries, :is_public)

-> 0.1092s

AddQueriesVisibility: migrated (0.3088s) ================================    CreateCustomFieldsRoles: migrating

======================================

-- create_table(:custom_fields_roles, {:id=>false})

 > 0.0403s

- add_index(:custom_fields_roles, [:custom_field_id, :role_id], {:unique=>true,

:name=>:custom_fields_roles_ids})

-> 0.0992s

CreateCustomFieldsRoles: migrated (0.1755s) =============================    AddQueriesOptions: migrating

============================================

-- add_column(:queries, :options, :text)

-> 0.1087s

AddQueriesOptions: migrated (0.1106s) ===================================    AddUsersMustChangePasswd: migrating

=====================================

-- add_column(:users, :must_change_passwd, :boolean, {:default=>false, :null=>fa

lse})

-> 0.1405s

AddUsersMustChangePasswd: migrated (0.1425s) ============================    RemoveEolsFromAttachmentsFilename: migrating

============================

RemoveEolsFromAttachmentsFilename: migrated (0.0438s) ===================    SupportForMultipleCommitKeywords: migrating

=============================

SupportForMultipleCommitKeywords: migrated (0.0975s) ====================    AddRepositoriesCreatedOn: migrating

=====================================

-- add_column(:repositories, :created_on, :timestamp)

-> 0.1074s

AddRepositoriesCreatedOn: migrated (0.1094s) ============================    AddCustomFieldsFormatStore: migrating

===================================

-- add_column(:custom_fields, :format_store, :text)

-> 0.1077s

AddCustomFieldsFormatStore: migrated (0.1090s) ==========================    AddCustomFieldsDescription: migrating
===================================

-- add_column(:custom_fields, :description, :text)

-> 0.1075s

AddCustomFieldsDescription: migrated (0.1095s) ==========================    RemoveCustomFieldsMinMaxLengthDefaultValues: migrating

==================

-- change_column(:custom_fields, :min_length, :int, {:default=>nil, :null=>true}

)

 > 0.1341s

- change_column(:custom_fields, :max_length, :int, {:default=>nil, :null=>true}

)

-> 0.1319s

RemoveCustomFieldsMinMaxLengthDefaultValues: migrated (0.2730s) =========    StoreRelationTypeInJournalDetails: migrating

============================

StoreRelationTypeInJournalDetails: migrated (0.0420s) ===================    DeleteOrphanTimeEntriesCustomValues: migrating

==========================

DeleteOrphanTimeEntriesCustomValues: migrated (0.0561s) =================    ChangeChangesetsCommentsLimit: migrating

================================

-- change_column(:changesets, :comments, :text, {:limit=>16777216})

-> 0.2928s

ChangeChangesetsCommentsLimit: migrated (0.2947s) =======================   

now i can able to access activity but still problem when i click on bugs or another page, also not able to create new issue.

#3 - 2014-10-29 12:38 - ketan panchal

ok Now after restarting all services, It is working now.

#4 - 2014-10-29 12:46 - Toshi MARUYAMA

- Category deleted (Issues)

- Status changed from New to Closed

- Resolution set to Invalid
